Class: Sketchup::Edge
- Inherits:
-
Drawingelement
- Object
- Entity
- Drawingelement
- Sketchup::Edge
Overview
The Edge class contains methods modifying and extracting information for edges.
Instance Method Summary # collapse
-
#all_connected ⇒ Array<Sketchup::Entity>
The all_connected method retrieves all of the entities connected to an edge, including the edge itself.
-
#common_face(edge2) ⇒ Sketchup::Face?
The common_face method is used to identify a face that is common to two edges.
-
#curve ⇒ Sketchup::Curve?
The curve method is used to get the Curve object that this edge belongs to, if any.
-
#end ⇒ Sketchup::Vertex
The end method is used to retrieve the Vertex object at the end of the edge.
-
#explode_curve ⇒ Sketchup::Edge
The explode_curve method is used to explode the curve that the given edge is a part of.
-
#faces ⇒ Array<Sketchup::Face>
The #faces method is used to retrieve all of the faces common to the edge.
-
#find_faces ⇒ Integer
The find_faces method is used to create all of the Faces that can be created with this edge.
-
#length(*args) ⇒ Object
The #length method is used to retrieve the length of an edge in current units.
-
#line ⇒ Array(Geom::Point3d, Geom::Vector3d)
The line method is used to retrieve the line defined by the edge.
-
#other_vertex(vertex1) ⇒ Sketchup::Vertex
The other_vertex method is used to find the opposite vertex given one vertex of the edge.
-
#reversed_in?(face) ⇒ Boolean
The #reversed_in? method is used to determine if the edge is reversed in a face's bounding loop.
-
#smooth=(value) ⇒ Boolean
The #smooth= method is used to set the edge to be smooth.
-
#smooth? ⇒ Boolean
The #smooth? method is used to retrieve the current smooth setting for an edge.
-
#soft=(value) ⇒ Boolean
The #soft= method is used to set the edge to be soft.
-
#soft? ⇒ Boolean
The #soft? method is used to retrieve the current soft setting for an edge.
-
#split(position) ⇒ Sketchup::Edge
The split method is used to to split an edge into two or more distinct edges.
-
#start ⇒ Sketchup::Vertex
The start method is used to retrieve the Vertex object at the start of the edge.
-
#used_by?(element) ⇒ Boolean
The used_by? method is used to see if an edge is used by a given Face or Vertex.
-
#vertices ⇒ Array<Sketchup::Vertex>
The vertices method is used to retrieve the vertices on the edge.
Methods inherited from Drawingelement
#bounds, #casts_shadows=, #casts_shadows?, #erase!, #hidden=, #hidden?, #layer, #layer=, #material, #material=, #receives_shadows=, #receives_shadows?, #visible=, #visible?
Methods inherited from Entity
#add_observer, #attribute_dictionaries, #attribute_dictionary, #delete_attribute, #deleted?, #entityID, #get_attribute, #inspect, #model, #parent, #persistent_id, #remove_observer, #set_attribute, #to_s, #typename, #valid?
Instance Method Details
↑ #all_connected ⇒ Array<Sketchup::Entity>
The all_connected method retrieves all of the entities connected to an edge, including the edge itself.
↑ #common_face(edge2) ⇒ Sketchup::Face?
The common_face method is used to identify a face that is common to two edges.
↑ #curve ⇒ Sketchup::Curve?
The curve method is used to get the Curve object that this edge belongs to, if any. Note that if the edge is part of an arc instead of a random curve, then this method will return an ArcCurve object.
↑ #end ⇒ Sketchup::Vertex
The end method is used to retrieve the Vertex object at the end of the edge.
↑ #explode_curve ⇒ Sketchup::Edge
The explode_curve method is used to explode the curve that the given edge is a part of.
↑ #faces ⇒ Array<Sketchup::Face>
The #faces method is used to retrieve all of the faces common to the edge.
↑ #find_faces ⇒ Integer
The find_faces method is used to create all of the Faces that can be created with this edge. For example, if you use the API to draw three edges that form a triangle, the face between them will not show up because you've only drawn the edges, but if you call find_faces on one of the edges, the triangle will be filled in.
↑ #length ⇒ Length #length(transform) ⇒ Length
The #length method is used to retrieve the length of an edge in current units.
You can pass in an optional Geom::Transformation (or an array that can represent a transformation), to correct for a parent group's transformation. For example, if an edge is inside of a group that is scaled to 200%, the length method will return the unscaled length of the edge. So by passing a 200% transformation object to this method, you can account for that to get the “visual” length of the edge.
↑ #line ⇒ Array(Geom::Point3d, Geom::Vector3d)
The line method is used to retrieve the line defined by the edge. Lines in SketchUp aren't visible entities but geometric constructs represented by an Array with a Point3d and a Vector3d. See the Geom module and the Array class for more information on lines.
↑ #other_vertex(vertex1) ⇒ Sketchup::Vertex
The other_vertex method is used to find the opposite vertex given one vertex of the edge.
↑ #reversed_in?(face) ⇒ Boolean
The #reversed_in? method is used to determine if the edge is reversed in a face's bounding loop.
↑ #smooth=(value) ⇒ Boolean
The soft and smooth properties are normally set in pairs. You can observer this when the Soften/Smooth Edges feature or holding down Ctrl when using the Eraser Tool.
The #smooth= method is used to set the edge to be smooth.
A smooth edge will cause the shading between connected faces to blend to a smooth transition. The edge will still be visible.
↑ #smooth? ⇒ Boolean
The #smooth? method is used to retrieve the current smooth setting for an edge.
A smooth edge will cause the shading between connected faces to blend to a smooth transition. The edge will still be visible.
↑ #soft=(value) ⇒ Boolean
The soft and smooth properties are normally set in pairs. You can observe this when the Soften/Smooth Edges feature or holding down Ctrl when using the Eraser Tool.
The #soft= method is used to set the edge to be soft.
A soft edge will cause the connected faces to be treated as a surface. This means that if you have Hidden Geometry off and select one face it will also select all faces connected with soft edges. A soft edge will also appear hidden.
↑ #soft? ⇒ Boolean
The #soft? method is used to retrieve the current soft setting for an edge.
A soft edge will cause the connected faces to be treated as a surface. This means that if you have Hidden Geometry off and select one face it will also select all faces connected with soft edges. A soft edge will also appear hidden.
↑ #split(position) ⇒ Sketchup::Edge
The split method is used to to split an edge into two or more distinct edges. If a Point3d is given, it must be a point that is on the Edge.
If a Float is given, it is a number between 0 and 1 that gives the relative position along the edge at which to split it. For example, edge.split(0.5) will split the Edge at its midpoint. This split position is measured from the Edge.start.
Returns the new Edge that was created as a result of splitting this one.
↑ #start ⇒ Sketchup::Vertex
The start method is used to retrieve the Vertex object at the start of the edge.
↑ #used_by?(element) ⇒ Boolean
The used_by? method is used to see if an edge is used by a given Face or Vertex.
↑ #vertices ⇒ Array<Sketchup::Vertex>
The vertices method is used to retrieve the vertices on the edge.